All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.tableview
Class BasicColumnHeaderUI.MouseInputHandler

    com.sas.swing.visuals.tableview.BasicColumnHeaderUI.MouseInputHandler

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.util.EventListener, javax.swing.event.MouseInputListener

Enclosing class:
  BasicColumnHeaderUI

    public class BasicColumnHeaderUI.MouseInputHandler

implements javax.swing.event.MouseInputListener

Field Summary
`protected int` | `lastEffectiveMouseX`
`protected int` | `lastEffectiveMouseY`

Constructor Summary
`BasicColumnHeaderUI.MouseInputHandler()`

Method Summary
`protected boolean` | `canResize(int column)`
`protected int` | `getReorderColumn(java.awt.Point p)`
`protected int` | `getResizingColumn(java.awt.Point p)`
`protected int` | `getResizingColumn(java.awt.Point p, int column)`
`protected int` | `getWidthInRightToLeft()`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`protected boolean` | `resizingHeader(java.awt.Point p)`
`protected void` | `setDraggedDistance(int draggedDistance, int column)`
`protected void` | `setValueIsAdjusting(boolean flag)`
`protected boolean` | `shouldIgnore(java.awt.event.MouseEvent e)`

Field Detail

### lastEffectiveMouseY

    protected int lastEffectiveMouseY

### lastEffectiveMouseX

    protected int lastEffectiveMouseX

Constructor Detail

### BasicColumnHeaderUI.MouseInputHandler

    public BasicColumnHeaderUI.MouseInputHandler()

Method Detail

### shouldIgnore

    protected boolean shouldIgnore(java.awt.event.MouseEvent e)

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### canResize

    protected boolean canResize(int column)

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### setDraggedDistance

    protected void setDraggedDistance(int draggedDistance,
                                      int column)

### getResizingColumn

    protected int getResizingColumn(java.awt.Point p)

### getResizingColumn

    protected int getResizingColumn(java.awt.Point p,
                                    int column)

### getReorderColumn

    protected int getReorderColumn(java.awt.Point p)

### resizingHeader

    protected boolean resizingHeader(java.awt.Point p)

### setValueIsAdjusting

    protected void setValueIsAdjusting(boolean flag)

### getWidthInRightToLeft

    protected int getWidthInRightToLeft()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.